Bug 794783 - Review Request: xorg-x11-drv-modesetting - X.org modesetting fallback driver
Summary: Review Request: xorg-x11-drv-modesetting - X.org modesetting fallback driver
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-17 16:12 UTC by Dave Airlie
Modified: 2012-05-15 11:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-15 11:02:26 UTC
xavier: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dave Airlie 2012-02-17 16:12:25 UTC
Spec URL: http://people.fedoraproject.org/~airlied/modesetting/xorg-x11-drv-modesetting.spec
SRPM URL: http://people.fedoraproject.org/~airlied/modesetting/xorg-x11-drv-modesetting-0.1.0-1.fc17.src.rpm
Description: X.org modesetting fallback driver. Simple driver to be used in fallback situations.

Comment 1 Xavier Bachelot 2012-02-17 18:43:30 UTC
You should use %global rather than %define
See https://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define

Unless you plan on submitting this for el5, you can remove 'rm -rf $RPM_BUILD_ROOT' at top of %install section, the whole %clean section and the %defattr in the %files section. The BuildRoot can be removed too.
See https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean
See https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
See https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

The %description could probably be a bit more helpful.

You need to file a bug explaining the ExcludeArch.
See https://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Support

Apart from that, the spec file looks good. I will build it and check some more stuff after that.

Comment 2 Xavier Bachelot 2012-02-17 19:18:32 UTC
you must add the README and COPYING files to %doc

Comment 3 Dave Airlie 2012-02-17 21:36:24 UTC
thanks Xavier,

I've uploaded a new version of the spec to the same place, addressing most of the comments

The only one I didn't do is file a bug for ExcludeArch, all xorg drivers exclude s390, and its not really specific to one package.

Comment 4 Xavier Bachelot 2012-02-17 21:56:23 UTC
There are a couple missing BuildRequires:
BuildRequires: libX11-devel
BuildRequires: libdrm-devel
BuildRequires: libXext-devel

Also, there are a rpmlint warnings that need fixing, I've stripped the irrelevant ones :
xorg-x11-drv-modesetting.src:6: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 3)
xorg-x11-drv-modesetting.x86_64: W: incoherent-version-in-changelog 0.1.0-0 ['0.1.0-1.fc17', '0.1.0-1']

Not a big deal, but you should add a changelog entry and bump the release each time you make changes to the spec.

Comment 5 Xavier Bachelot 2012-02-17 22:39:18 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.
     Note: xorg-x11-drv-modesetting-0.1.0-1.fc18.i686.rpm :
     /usr/lib/xorg/modules/drivers/modesetting_drv.so
Not a shared object, this is an X driver.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint xorg-x11-drv-modesetting-debuginfo-0.1.0-1.fc18.i686.rpm

xorg-x11-drv-modesetting-debuginfo.i686: W: invalid-url URL: http://www.x.org <urlopen error timed out>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint xorg-x11-drv-modesetting-0.1.0-1.fc18.i686.rpm

xorg-x11-drv-modesetting.i686: W: spelling-error %description -l en_US unaccelerated -> accelerated, unadulterated, accelerate
xorg-x11-drv-modesetting.i686: E: description-line-too-long C X.Org X11 modesetting video driver - basic modesetting fallback driver, for use for simple scenarios and unaccelerated systems.
xorg-x11-drv-modesetting.i686: W: incoherent-version-in-changelog 0.1.0-0 ['0.1.0-1.fc18', '0.1.0-1']
xorg-x11-drv-modesetting.i686: W: invalid-url URL: http://www.x.org <urlopen error timed out>
1 packages and 0 specfiles checked; 1 errors, 3 warnings.


rpmlint xorg-x11-drv-modesetting-0.1.0-1.fc18.src.rpm

xorg-x11-drv-modesetting.src: W: spelling-error %description -l en_US unaccelerated -> accelerated, unadulterated, accelerate
xorg-x11-drv-modesetting.src: E: description-line-too-long C X.Org X11 modesetting video driver - basic modesetting fallback driver, for use for simple scenarios and unaccelerated systems.
xorg-x11-drv-modesetting.src: W: invalid-url URL: http://www.x.org <urlopen error timed out>
xorg-x11-drv-modesetting.src:6: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 3)
xorg-x11-drv-modesetting.src: W: invalid-url Source0: ftp://ftp.x.org/pub/individual/driver/xf86-video-modesetting-0.1.0.tar.bz2 <urlopen error ftp error: timed out>
1 packages and 0 specfiles checked; 1 errors, 4 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/tmp/xf86-video-modesetting-0.1.0.tar.bz2 :
  MD5SUM this package     : b9fea5fc105df9c47769bc83f3856718
  MD5SUM upstream package : b9fea5fc105df9c47769bc83f3856718

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[-]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint xorg-x11-drv-modesetting-0.1.0-1.fc18.i686.rpm

xorg-x11-drv-modesetting.i686: E: description-line-too-long C X.Org X11 modesetting video driver - basic modesetting fallback driver, for use for simple scenarios and unaccelerated systems.
xorg-x11-drv-modesetting.i686: W: incoherent-version-in-changelog 0.1.0-0 ['0.1.0-1.fc18', '0.1.0-1']


rpmlint xorg-x11-drv-modesetting-0.1.0-1.fc18.src.rpm

xorg-x11-drv-modesetting.src: E: description-line-too-long C X.Org X11 modesetting video driver - basic modesetting fallback driver, for use for simple scenarios and unaccelerated systems.
xorg-x11-drv-modesetting.src:6: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 3)

[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
Fix missing BuildRequires.

Comment 6 Xavier Bachelot 2012-02-17 22:48:22 UTC
Ok, so to summarize, please fix the missing BuildRequires and the following 3 rpmlint issues :
- description line too long
- mixed use of spaces and tabs
- incoherent version in changelog
then this package will be approved.

Thanks for releasing and packaging the modesetting driver, it will help us with the port of openchrome to KMS. James Simmons told me this afternoon he got a couple patches he cooked along the way to send you for this driver.

Comment 7 Dave Airlie 2012-02-20 09:34:08 UTC
Okay latest version is posted which should address all issues.

Thanks for review.

Comment 8 Xavier Bachelot 2012-02-20 10:50:21 UTC
Thanks Dave. The package is now approved.

Btw, which fedora branches are you targeting ? If you don't mind, I'd be convenient for me to have this available for the older F15 and F16 releases.

Comment 9 Dave Airlie 2012-02-20 11:32:04 UTC
New Package SCM Request
=======================
Package Name: xorg-x11-drv-modesetting
Short Description: X.org modesetting fallback driver
Owners: airlied
Branches: f15 f16 f17
InitialCC: xgl-maint

Comment 10 Gwyn Ciesla 2012-02-20 13:09:25 UTC
Git done (by process-git-requests).

Comment 11 Peter Lemenkov 2012-03-24 07:25:55 UTC
What's the status of this ticket? So far this package failed to build on F-15 but builds fine (and already available in repositories) on F-16 and F-17.

http://koji.fedoraproject.org/koji/packageinfo?packageID=13343
https://admin.fedoraproject.org/updates/search/xorg-x11-drv-modesetting

I think we should close this ticket (I'm not sure that F-15 failure must block this ticket).

Comment 12 Peter Lemenkov 2012-05-15 11:02:26 UTC
Ok, I'm closing this. I don't think that build failure on F-15 is relevant.


Note You need to log in before you can comment on or make changes to this bug.